%global github_owner     fkooman
%global github_name      php-simple-auth

Name:       php-simple-auth
Version:    0.2.4
Release:    1%{?dist}
Summary:    Simple Static Authentication Library written in PHP

Group:      Applications/Internet
License:    ASL 2.0

URL:        https://github.com/%{github_owner}/%{github_name}
Source0:    https://github.com/%{github_owner}/%{github_name}/archive/%{version}.tar.gz
Source1:    php-simple-auth-httpd-conf
Source2:    php-simple-auth-autoload.php

BuildArch:  noarch

# PHP 5.3.3 in CentOS/RHEL has backported the $2y fix so 5.3.7 is not needed
Requires:   php >= 5.3.3
Requires:   httpd

Requires:   php-pear(pear.twig-project.org/Twig) >= 1.15
Requires:   php-pear(pear.twig-project.org/Twig) < 2.0
Requires:   php-password-compat >= 1.0.0

Requires:   php-composer(fkooman/rest) >= 0.4.10
Requires:   php-composer(fkooman/rest) < 0.5.0
Requires:   php-composer(fkooman/json) >= 0.5.1
Requires:   php-composer(fkooman/json) < 0.6.0

#Starting F21 we can use the composer dependency for Symfony
#Requires:   php-composer(symfony/classloader) >= 2.3.9
#Requires:   php-composer(symfony/classloader) < 3.0
Requires:   php-pear(pear.symfony.com/ClassLoader) >= 2.3.9
Requires:   php-pear(pear.symfony.com/ClassLoader) < 3.0

%description
This project is a completely separate Simple Authentication library that lives 
outside your application and is controlled through a PHP API.

%prep
%setup -qn %{github_name}-%{version}

sed -i "s|dirname(__DIR__)|'%{_datadir}/php-simple-auth'|" bin/php-simple-auth-add-user

%build

%install
# Apache configuration
install -m 0644 -D -p %{SOURCE1} ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf.d/php-simple-auth.conf

# Application
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/php-simple-auth
cp -pr web views src ${RPM_BUILD_ROOT}%{_datadir}/php-simple-auth

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
cp -pr bin/* ${RPM_BUILD_ROOT}%{_bindir}

# use our own class loader
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/php-simple-auth/vendor
cp -pr %{SOURCE2} ${RPM_BUILD_ROOT}%{_datadir}/php-simple-auth/vendor/autoload.php

# Config
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/php-simple-auth
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/php-simple-auth/conf.d

cp -p config/users.json.example ${RPM_BUILD_ROOT}%{_sysconfdir}/php-simple-auth/users.json
cp -p config/conf.d/*.conf ${RPM_BUILD_ROOT}%{_sysconfdir}/php-simple-auth/conf.d/
ln -s ../../../etc/php-simple-auth ${RPM_BUILD_ROOT}%{_datadir}/php-simple-auth/config

%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/httpd/conf.d/php-simple-auth.conf
%config(noreplace) %{_sysconfdir}/php-simple-auth
%{_bindir}/php-simple-auth-add-user
%dir %{_datadir}/php-simple-auth
%{_datadir}/php-simple-auth/src
%{_datadir}/php-simple-auth/vendor
%{_datadir}/php-simple-auth/web
%{_datadir}/php-simple-auth/views
%{_datadir}/php-simple-auth/config
%doc README.md composer.json COPYING docs/

%changelog
* Mon Oct 06 2014 François Kooman <fkooman@tuxed.net> - 0.2.4-1
- update to 0.2.4

* Mon Oct 06 2014 François Kooman <fkooman@tuxed.net> - 0.2.3-1
- update to 0.2.3

* Tue Sep 30 2014 François Kooman <fkooman@tuxed.net> - 0.2.2-1
- update to 0.2.2

* Tue Sep 30 2014 François Kooman <fkooman@tuxed.net> - 0.2.1-1
- update to 0.2.1
